permaculture playing cards*
The moose likes JForum and the fly likes Fixes required for 2.1.7-b3.zip Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of OCM Java EE 6 Enterprise Architect Exam Guide this week in the OCMJEA forum!
JavaRanch » Java Forums » Products » JForum
Bookmark "Fixes required for 2.1.7-b3.zip" Watch "Fixes required for 2.1.7-b3.zip" New topic
Author

Fixes required for 2.1.7-b3.zip

Migrated From Jforum.net
Ranch Hand

Joined: Apr 22, 2012
Posts: 17424
If you are doing a new install of 2.1.7 (2.1.7-b3.zip) here's a list of fixes you will need to make if you want it to work:

1. get a copy of an older edition that has the file: __index.redirect
and copy it into the jforum/ directory after it is exanded.

2. if you are using embedded HSQLDB (simplist to get working quickly), you will need to get a current version of hsqldb.jar - the 2.1.6 jforum package included this file as hsqldb-1.8.0.jar. It is in the jforum/WEB-INF/lib/ directory and needs to live in this directory of 2.1.7 also.

After both 1 and 2 above are 'fixed', you should be able to successfully run http://yourhost/jforum/install.jsp

Hope this helps a newcomer... (I gave up trying to merge 2.1.6 with 2.1.7).

The JForum Team REALLY needs to work on upgrades so they are seemless for folks that are otherwise current....

[originally posted on jforum.net by dferrero]
Migrated From Jforum.net
Ranch Hand

Joined: Apr 22, 2012
Posts: 17424
The 2.1.7-b3 package fixes these problems - the older didn't.

Rafael
[originally posted on jforum.net by Rafael Steil]
Migrated From Jforum.net
Ranch Hand

Joined: Apr 22, 2012
Posts: 17424
Rafael Steil wrote:The 2.1.7-b3 package fixes these problems - the older didn't.

Rafael


Sorry, it does not fix the problem. I got both errors only that it did not help to downloaf the jar file from HSQLDB . I got the error message :

org.hsqldb.jdbcDriver

Not easy to know what to do....

Update: I restartet the Tomcat server and then it works! Great !


[originally posted on jforum.net by oldman]
Migrated From Jforum.net
Ranch Hand

Joined: Apr 22, 2012
Posts: 17424
oldman wrote:
Rafael Steil wrote:The 2.1.7-b3 package fixes these problems - the older didn't.

Rafael


Sorry, it does not fix the problem. I got both errors only that it did not help to downloaf the jar file from HSQLDB . I got the error message :



I downloaded 2.1.7.-b3 today and it did not work. I had to do manual installaiton - which told me to get the missing file. I did this and it worked but now I'm stumped on a user_timezone field too small while importing an existing phpbb forum using phpbb2jforum.

phpbb uses decimal(5,2) for user_timezone whereas jforum uses varchar2(5) for the user_timezone field - not sure if this is the problem. I have one timezone value of -12.00 (6 chars!!!) perfectly legal timezone so I don't know if this is a design problem with jforum or if it has a different way of storing negative timezone values - maybe 24 hour time or something?

[originally posted on jforum.net by golfman]
Migrated From Jforum.net
Ranch Hand

Joined: Apr 22, 2012
Posts: 17424
1. get a copy of an older edition that has the file: __index.redirect
and copy it into the jforum/ directory after it is exanded.

I install today and get the same problem. I decompile the InstallAction.class and see that:

The 2.1.7-b3.zip still check for __index.redirect for writable!
Hey, Rafael you didn't fix this problem...
[originally posted on jforum.net by andowson]
Migrated From Jforum.net
Ranch Hand

Joined: Apr 22, 2012
Posts: 17424
This topic should be pinned until the jar is included in the next fix.

Theres no hsqldb-1.8.0.jar in the lib directory of jforum.

I got jforum-2.1.7-b3.zip and it dont come with the jar.

ty for the fix.


[originally posted on jforum.net by alx]
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: Fixes required for 2.1.7-b3.zip